Bug 127834 - Wastes / with >12MB of unneeded files
Summary: Wastes / with >12MB of unneeded files
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-14 14:50 UTC by Enrico Scholz
Modified: 2015-01-04 22:07 UTC (History)
2 users (show)

Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-14 00:47:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2004-07-14 14:50:31 UTC
Description of problem:

The kernel package contains lots of files under /lib/modules/*/build.
These files are unneeded for normal operation and should be

* either in a separate subpackage, and/or
* by placed under /usr/src/linux-<ver>/ which would be linked to 
  /lib/modules/*/build.

Current package wastes lots of space in the root-filesystem and there
is no way to prevent this. With the methods above, administrator could
either skip installation of the extra-package, add /usr/src to
%_netsharedpath or place /usr/src on a filesystem with more space.


Version-Release number of selected component (if applicable):

kernel-2.6.6-1.435.2.3

Comment 1 Arjan van de Ven 2004-07-14 14:53:16 UTC
the convenience of the current method outweighs the 12Mb cost; 12Mb is
almost nothing.

Comment 2 Enrico Scholz 2004-07-14 14:58:58 UTC
Usually, you have multiple kernel-versions installed (default-setup of
apt and yum). So it can happen, that you waste 40-60 MB on a 150 MB
sized / filesystem.

And I do not see the advantages of the current method against symlinks
into /usr/src or a separate subpackage.

Comment 3 Arjan van de Ven 2004-07-14 15:02:23 UTC
there is no such cumulative waste since these files are hardlinked to
eachother.


Comment 4 Enrico Scholz 2004-07-14 15:13:26 UTC
ok, some files get hardlinked indeed. But / is still the wrong place
for development headers and should be used only for files which are
needed to bring the system up.

Therefore, please relocate/remove the kernel-header from /lib.

Comment 5 Enrico Scholz 2005-01-20 01:24:54 UTC
can we fix this for FC4 please?

Comment 6 Rahul Sundaram 2005-08-14 00:11:49 UTC
Reassigning to Dave Jones since the Fedora kernel is no longer maintained by
Arjan  Van De Ven

Comment 7 Warren Togami 2005-08-14 00:47:53 UTC
This was fixed a long time ago with the kernel-devel of FC4+


Note You need to log in before you can comment on or make changes to this bug.